name='python3-pyside6'
version='6.9.0'
release='1'
desc='Python bindings for the Qt cross-platform application and UI framework.'
homepage=''
maintainer='Example <user@example.com>'
architectures=('all')
license=('LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only')
provides=('pyside6')
conflicts=('pyside6')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("git+https://code.qt.io/pyside/pyside-setup#tag=v$version")
checksums=('SKIP')

build() {
  cd "$srcdir/pyside-setup"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/pyside-setup"
  pip install --root="${pkgdir}/" . --no-deps --disable-pip-version-check
}

#files() {
#  echo ./usr/local/bin/poetry
#  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/poetry/**/*
#  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/poetry-${version}.dist-info/*
#}